{ self, inputs, ... }: {
  flake = {
    homeModules.git = { pkgs, lib, ... }: {
      programs.git = {
        enable = true;
        settings = {
          user = {
            email = "mateialex@outlook.fr";
            name  = "Alexandre";
          };
        };
      };
    };

    nixosModules.git = { pkgs, lib, ... }: {
      environment.systemPackages = with pkgs; [
        git
      ];
      programs.ssh = {
        startAgent = true;
        extraConfig = ''
          Host github.com
            IdentityFile ~/.ssh/git
          Host git.alexdelcamp.fr
            IdentityFile ~/.ssh/git
            Port 2222
            User git
        '';
      };
      services.gnome.gcr-ssh-agent.enable = false;
    };
  };
}
